Create a device

Create a device

post
Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

This class provides the Device Create Request Dto.

typestring · enumRequiredPossible values:
codestring · min: 1Required

The code of the device.

isMobileAppbooleanOptional

Flag indicating if the device is a mobile app. By default, it is false.

isDefaultboolean · nullableOptional

Flag indicating if the device is the default device.

testModeboolean · nullableOptional

The test mode of the device.

namestring · min: 1Required

The name of the device.

phoneNumberstring · nullableOptional

The phone number of the device.

osDevicestring · min: 1Required

The operating system of the device.

appVersionNumberstring · min: 1Required

The version of the operating system of the device.

iccidstring · nullableOptional

The iccid of the device.

imsistring · nullableOptional

The imsi of the device.

imeistring · nullableOptional

The imei of the device.

simCardInfostring · nullableOptional

The sim card info of the device.

avatarURLstring · nullableOptional

The avatar URL of the device.

tagsstring · nullableOptional

The tags of the device.

statusstring · enumOptional

Represents the status of a device within the system.

Possible values:
Responses
post
/api/v1/devices

Last updated